{if file_exists("$tpl_dir./modules/nbr-products.tpl")}
    {include file="$tpl_dir./modules/nbr-products.tpl" p=$p}
{else}
    {if isset($p) AND $p}
        {if isset($smarty.get.id_category) && $smarty.get.id_category && isset($category)}
            {assign var='requestPage' value=$link->getPaginationLink('category', $category, false, false, true, false)}
            {assign var='requestNb' value=$link->getPaginationLink('category', $category, true, false, false, true)}
        {elseif isset($smarty.get.id_manufacturer) && $smarty.get.id_manufacturer && isset($manufacturer)}
            {assign var='requestPage' value=$link->getPaginationLink('manufacturer', $manufacturer, false, false, true, false)}
            {assign var='requestNb' value=$link->getPaginationLink('manufacturer', $manufacturer, true, false, false, true)}
        {elseif isset($smarty.get.id_supplier) && $smarty.get.id_supplier && isset($supplier)}
            {assign var='requestPage' value=$link->getPaginationLink('supplier', $supplier, false, false, true, false)}
            {assign var='requestNb' value=$link->getPaginationLink('supplier', $supplier, true, false, false, true)}
        {else}
            {assign var='requestPage' value=$link->getPaginationLink(false, false, false, false, true, false)}
            {assign var='requestNb' value=$link->getPaginationLink(false, false, true, false, false, true)}
        {/if}

        <!-- nbr product/page -->
        {if (version_compare($smarty.const._PS_VERSION_,'1.6','>=')) AND ($nb_products > $nArray[0])}
            {assign var=url value="{if !is_array($requestNb)}{$requestNb|escape:'html':'UTF-8'}{else}{$requestNb.requestUrl|escape:'html':'UTF-8'}{/if}"}
        {elseif (version_compare($smarty.const._PS_VERSION_,'1.6','<')) AND ($nb_products > 10)}
            {assign var=url value="{if !is_array($requestNb)}{$requestNb}{else}{$requestNb.requestUrl}{/if}"}
        {/if}

        {if isset($url) && $url}
            <form action="{$url}" method="get" class="nbrItemPage">
            <div>
                {if isset($search_query) AND $search_query}<input type="hidden" name="search_query" value="{$search_query|escape:'htmlall':'UTF-8'}" />{/if}
                {if isset($tag) AND $tag AND !is_array($tag)}<input type="hidden" name="tag" value="{$tag|escape:'htmlall':'UTF-8'}" />{/if}
                <label for="nb_item">{l s='Show:'}</label>
                {if is_array($requestNb)}
                    {foreach from=$requestNb item=requestValue key=requestKey}
                        {if $requestKey != 'requestUrl'}
                            <input type="hidden" name="{$requestKey|escape:'htmlall':'UTF-8'}" value="{$requestValue|escape:'htmlall':'UTF-8'}" />
                        {/if}
                    {/foreach}
                {/if}
            {if version_compare($smarty.const._PS_VERSION_,'1.6','>=')}
                <select name="n" id="nb_item{if isset($paginationId)}_{$paginationId}{/if}" class="form-control">
            {else}
                <select name="n" id="nb_item" onchange="this.form.submit();">
            {/if}
                {assign var="lastnValue" value="0"}
                {foreach from=$nArray item=nValue}
                    {if $lastnValue <= $nb_products}
                        <option value="{$nValue|escape:'htmlall':'UTF-8'}" {if $n == $nValue}selected="selected"{/if}>{$nValue|escape:'htmlall':'UTF-8'}</option>
                    {/if}
                    {assign var="lastnValue" value=$nValue}
                {/foreach}
                </select>
                <span>{if version_compare($smarty.const._PS_VERSION_,'1.6','>=')}{l s='per page'}{else}{l s='products by page'}{/if}</span>
            </div>
            </form>
        {/if}
        <!-- /nbr product/page -->
    {/if}
{/if}