<!-- MODULE Block footer -->
{if isset($blockId)}
    {assign var=path value="$tpl_dir./includes/block_for_layout_position_{$blockId}.tpl" scope="parent"}
    {if file_exists($path)}
        {include file=$path id="block_various_links_footer" class="block_various_links" assign=blockVars}

        {$smarty.capture.blockHead}
            {$smarty.capture.blockHeaderHead}
                {l s='Information' mod='blockcms'}
            {$smarty.capture.blockHeaderTail}
            {$smarty.capture.blockContentHead}
                <ul>
                    {if $show_price_drop && !$PS_CATALOG_MODE}
                        <li class="first_item">
                            <a href="{$link->getPageLink('prices-drop')|escape:'html'}" title="{l s='Specials' mod='blockcms'}">{l s='Specials' mod='blockcms'}</a>
                        </li>
                    {/if}
                    {if $show_new_products}
                        <li class="item">
                            <a href="{$link->getPageLink('new-products')|escape:'html'}" title="{l s='New products' mod='blockcms'}">{l s='New products' mod='blockcms'}</a>
                        </li>
                    {/if}
                    {if $show_best_sales && !$PS_CATALOG_MODE}
                        <li class="item">
                            {if version_compare($smarty.const._PS_VERSION_,'1.6','>=')}
                                <a href="{$link->getPageLink('best-sales')|escape:'html'}" title="{l s='Best sellers' mod='blockcms'}">{l s='Best sellers' mod='blockcms'}</a>
                            {else}
                                <a href="{$link->getPageLink('best-sales')}" title="{l s='Top sellers' mod='blockcms'}">{l s='Top sellers' mod='blockcms'}</a>
                            {/if}
                        </li>
                    {/if}
                    {if $display_stores_footer}
                        <li class="item">
                            <a href="{$link->getPageLink('stores')|escape:'html'}" title="{l s='Our stores' mod='blockcms'}">{l s='Our stores' mod='blockcms'}</a>
                        </li>
                    {/if}
                    {if $show_contact}
                        <li class="item">
                            <a href="{$link->getPageLink($contact_url, true)|escape:'html'}" title="{l s='Contact us' mod='blockcms'}">{l s='Contact us' mod='blockcms'}</a>
                        </li>
                    {/if}
                    {foreach from=$cmslinks item=cmslink}
                        {if $cmslink.meta_title != ''}
                            <li class="item">
                                <a href="{$cmslink.link|addslashes|escape:'html'}" title="{$cmslink.meta_title|escape:'html':'UTF-8'}">{$cmslink.meta_title|escape:'html':'UTF-8'}</a>
                            </li>
                        {/if}
                    {/foreach}
                    {if $show_sitemap}
                        <li>
                            <a href="{$link->getPageLink('sitemap')|escape:'html'}" title="{l s='Sitemap' mod='blockcms'}">{l s='Sitemap' mod='blockcms'}</a>
                        </li>
                    {/if}
                    {if $display_poweredby}
                        <li class="last_item">{l s='[1]Ecommerce software by %s[/1]' mod='blockcms' sprintf=['PrestaShop�'] tags=['<a class="_blank" href="http://www.prestashop.com">']}</li>
                    {/if}
                </ul>
                {if isset($cms_footer_text) AND $cms_footer_text}{$cms_footer_text}{/if}
            {$smarty.capture.blockContentTail}
        {$smarty.capture.blockTail}
    {/if}
{/if}
<!-- /MODULE Block footer -->